Bug 840325 - [abrt] rosegarden4-12.04-3.fc17: __GI_raise: Process /usr/bin/rosegarden was killed by signal 6 (SIGABRT)
[abrt] rosegarden4-12.04-3.fc17: __GI_raise: Process /usr/bin/rosegarden was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
abrt_hash:65f82daf39c2c776d2420bb8ed8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 18:20 EDT by Lassi Ylikojola
Modified: 2013-07-31 17:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (179.74 KB, text/plain)
2012-07-15 18:20 EDT, Lassi Ylikojola
no flags Details
File: maps (93.31 KB, text/plain)
2012-07-15 18:20 EDT, Lassi Ylikojola
no flags Details
File: dso_list (20.90 KB, text/plain)
2012-07-15 18:20 EDT, Lassi Ylikojola
no flags Details
File: build_ids (8.81 KB, text/plain)
2012-07-15 18:20 EDT, Lassi Ylikojola
no flags Details

  None (edit)
Description Lassi Ylikojola 2012-07-15 18:20:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rosegarden
comment:        Trying to open Rosegarden. Crashes immediately.
crash_function: __GI_raise
executable:     /usr/bin/rosegarden
kernel:         3.4.4-5.fc17.x86_64
pid:            13024
time:           Mon 16 Jul 2012 12:14:07 AM EEST
uid:            1000
username:       lykki2

backtrace:      Text file, 184056 bytes
build_ids:      Text file, 9020 bytes
dso_list:       Text file, 21397 bytes
maps:           Text file, 95545 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/lykki2/28

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x1a60b - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x83b47 g_private_replace libglib-2.0.so.0 -
:4e0a3559ef2951a86e97f298027bc0b6df609069 0x47ac5 Glib::DispatchNotifier::reference_instance(Glib::RefPtr<Glib::MainContext> libglibmm-2.4.so.1 -
:4e0a3559ef2951a86e97f298027bc0b6df609069 0x47b59 Glib::Dispatcher::Dispatcher() libglibmm-2.4.so.1 -
:a4ce2a7989e132fa7d24f9da130b5c921664685a 0x968f7 - ladspa_guitarix.so -
:a4ce2a7989e132fa7d24f9da130b5c921664685a 0xffc6 - ladspa_guitarix.so -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xee26 call_init.part.0 ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xeee0 _dl_init_internal ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0x1328d dl_open_worker ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xecb6 _dl_catch_error ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0x12b2c _dl_open ld-linux-x86-64.so.2 -
:5dd234206476b0387cd251598aa72a2c95c763c5 0x1016 dlopen_doit libdl.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xecb6 _dl_catch_error ld-linux-x86-64.so.2 -
:5dd234206476b0387cd251598aa72a2c95c763c5 0x162c _dlerror_run libdl.so.2 -
:5dd234206476b0387cd251598aa72a2c95c763c5 0x10b1 dlopen@@GLIBC_2.2.5 libdl.so.2 -
:f1956a69f9933ece7e89fbc7bcf5a8909a7f5b8a 0x97dd8 - [exe] -
:f1956a69f9933ece7e89fbc7bcf5a8909a7f5b8a 0x98265 - [exe] -
:f1956a69f9933ece7e89fbc7bcf5a8909a7f5b8a 0x9a1bc - [exe] -
:f1956a69f9933ece7e89fbc7bcf5a8909a7f5b8a 0xcbf36 - [exe] -
:f1956a69f9933ece7e89fbc7bcf5a8909a7f5b8a 0x29ab9f - [exe] -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x7b5eb - libQtCore.so.4 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=28
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/lykki2/keyring-rsRlGr
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=lykki2
:USERNAME=lykki2
:MAIL=/var/spool/mail/lykki2
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/lykki2/.local/bin:/home/lykki2/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/lykki2
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=9778
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/lykki2
:SHLVL=1
:LOGNAME=lykki2
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HDAVREvMSP,guid=aba1380f2337a804142c506700014175
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/lykki2
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-lykki2-4qSN6s/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/9785,unix/unix:/tmp/.ICE-unix/9785
:SSH_AUTH_SOCK=/run/user/lykki2/keyring-rsRlGr/ssh
:GPG_AGENT_INFO=/run/user/lykki2/keyring-rsRlGr/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-rosegarden.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=13024

event_log:
:2012-07-16-01:13:20> Analyzing coredump 'coredump'
:2012-07-16-01:13:24  Coredump references 220 debuginfo files, 2 of them are not installed
:2012-07-16-01:13:24  Setting up yum repositories
:2012-07-16-01:13:24  Looking for needed packages in repositories
:2012-07-16-01:13:25  Can't find packages for 2 debuginfo files
:2012-07-16-01:13:25  Missing debuginfo file: /usr/lib/debug/.build-id/26/684bcb047791e0142dc37216a3e7effad04ffb.debug
:2012-07-16-01:13:25  Missing debuginfo file: /usr/lib/debug/.build-id/cb/89310b7098cd37ea9c001fd822f0fba9692901.debug
:2012-07-16-01:13:25  Generating backtrace
:2012-07-16-01:13:38  Backtrace is generated and saved, 184056 bytes
:2012-07-16-01:14:39> Element 'xsession_errors' saved
:2012-07-16-01:14:39> GConf directory /apps/rosegarden does not exist
:2012-07-16-01:14:39* (exited with 1)
:2012-07-16-01:14:41> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31466                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31466                31466                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     99                   99                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/lykki2/.xsession-errors
:pos:	61339
:flags:	0102002
:2:/home/lykki2/.xsession-errors
:pos:	61339
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[121017]
:pos:	0
:flags:	02004000
:5:pipe:[121017]
:pos:	0
:flags:	02004001
:6:socket:[121018]
:pos:	0
:flags:	02004002
:7:socket:[121019]
:pos:	0
:flags:	02004002
:8:socket:[120445]
:pos:	0
:flags:	02000002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/dev/snd/seq
:pos:	0
:flags:	02104002
:12:socket:[121023]
:pos:	0
:flags:	02
:13:socket:[120448]
:pos:	0
:flags:	02
:14:pipe:[121031]
:pos:	0
:flags:	02000000
:15:pipe:[121031]
:pos:	0
:flags:	02000001

smolt_data:
:
:
:General
:=================================
:UUID: ad653252-aac7-4ed4-a095-f5a38cfc4709
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3733.18
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6320  @ 1.86GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1870
:System Memory: 3954
:System Swap: 8191
:Vendor: System manufacturer
:System: P5Q-PRO System Version
:Form factor: Desktop
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11808:4163:33491) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4163:33491) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(4401:29026:4541:257) pci, None, MULTIMEDIA, Pinnacle PCTV 7010iX TV Card
:(32902:14896:4163:33492) pci, None, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:14880:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
:(32902:14870:4163:33492) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(32902:14886:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(6505:4134:4163:33318) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(32902:14901:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:9294:4163:33492) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14905:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #6
:(32902:14902:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14906:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:(4523:24865:4163:33504) pci, pata_marvell, STORAGE, 88SE6121 SATA II Controller
:(4545:22545:4163:33428) pci, firewire_ohci, FIREWIRE, IEEE 1394a Firewire Controller
:(32902:14916:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 3
:(32902:14912:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14920:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 5
:(32902:14922:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 6
:(5138:5906:5435:4408) pci, snd_ice1712, MULTIMEDIA_AUDIO, DMX 6fire 24/96
:(32902:14903:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14900:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(4318:3044:0:0) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:3235:0:0) pci, nvidia, VIDEO, GT215 [GeForce GT 240]
:(32902:14904:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 10226636 6784330 6681948 2564096 2220986 2220986
:/dev/sda2 /home ext4 4096 4096 25559439 21760379 20480379 6406144 6384180 6384180
:/dev/sda1 /boot ext4 1024 1024 508644 398251 372651 128016 127653 127653
:

var_log_messages:
:Jul 15 23:46:00 localhost abrt[12398]: Saved core dump of pid 12389 (/usr/bin/rosegarden) to /var/spool/abrt/ccpp-2012-07-15-23:46:00-12389 (46768128 bytes)
:Jul 16 00:14:07 localhost abrt[13033]: Saved core dump of pid 13024 (/usr/bin/rosegarden) to /var/spool/abrt/ccpp-2012-07-16-00:14:07-13024 (46931968 bytes)

xsession_errors:
:NOTE: Found stylesheet at ":/rosegarden.qss", applying it
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x1c00016 specified for 0x1c00014 (rosegarden).
Comment 1 Lassi Ylikojola 2012-07-15 18:20:20 EDT
Created attachment 598334 [details]
File: backtrace
Comment 2 Lassi Ylikojola 2012-07-15 18:20:23 EDT
Created attachment 598335 [details]
File: maps
Comment 3 Lassi Ylikojola 2012-07-15 18:20:26 EDT
Created attachment 598336 [details]
File: dso_list
Comment 4 Lassi Ylikojola 2012-07-15 18:20:28 EDT
Created attachment 598337 [details]
File: build_ids
Comment 5 Martin Tarenskeen 2012-07-19 08:11:54 EDT
Is this the same bug? (quoted from PlanetCCRMA mailing list)

From m.tarenskeen@zonnet.nl Thu Jul 19 13:35:23 2012
Date: Thu, 19 Jul 2012 13:35:23 +0200 (CEST)
From: Martin Tarenskeen <m.tarenskeen@zonnet.nl>
To: PlanetCCRMA mailing list <planetccrma@ccrma.stanford.edu>
Cc: Fedora-music-list <music@lists.fedoraproject.org>
Subject: Rosegarden crash


Hi,

I am using Fedora 17,
kernel-rt-3.4.5-2.rt13.1.fc17.ccrma.i686,
rosegarden4-12.04-3.fc17.i686

When I try to start Rosegarden it almost immediately crashes after the 
rosegarden screen shows up. When I start from a terminal and catch the 
output I see this, maybe someone can tell me what's wrong and how to fix 
this:

Setting graphics system for Qt 4.5+ to: native
Thorn - true
System Locale: C
Qt translations path: /usr/share/qt4/translations
Qt translations not loaded.
RG Translation: trying to load :locale/C
RG Translations not loaded.
Loaded application icon "rg-rwb-rose3-16x16"
Loaded application icon "rg-rwb-rose3-32x32"
Loaded application icon "rg-rwb-rose3-48x48"
Loaded application icon "rg-rwb-rose3-64x64"
Loaded application icon "rg-rwb-rose3-128x128"
NOTE: Found stylesheet at ":/rosegarden.qss", applying it
AlsaDriver::AlsaDriver [begin]
Rosegarden 12.04 - AlsaDriver [ALSA library version 1.0.25, module version 1.0.25, kernel version 3.4.5-2.rt13.1.fc17.ccrma.i686.rt]
PluginFactory::instance(dssi): creating new DSSIPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/usr/lib/dssi/]

JackDriver::initialiseAudio - JACK sample rate = 44100Hz, buffer size = 512
JackDriver::initialiseAudio - creating disk thread
JackDriver::initialiseAudio - found 3 JACK physical outputs
JackDriver::initialiseAudio - connecting from "rosegarden:master out L" to "system:playback_1"
JackDriver::initialiseAudio - connecting from "rosegarden:master out R" to "system:playback_2"
JackDriver::initialiseAudio - found 3 JACK physical inputs
JackDriver::initialiseAudio - connecting from "system:capture_1" to "rosegarden:record in 1 L"
JackDriver::initialiseAudio - connecting from "system:capture_2" to "rosegarden:record in 1 R"
JackDriver::initialiseAudio - initialised JACK audio subsystem

   ALSA Client information:

     14,0 - (Midi Through, Midi Through Port-0)			(DUPLEX) [ctype 2, ptype 655362, cap 99]

AlsaDriver::setCurrentTimer((auto))
     Current timer set to "system timer" with timer checks
AlsaDriver::initialiseMidi -  initialised MIDI subsystem

Composition::getTrackById(0) - WARNING - track id not found, this is probably a BUG src/base/Composition.cpp:1618
Available track ids are: 
AlsaDriver::addDevice(0,0)
CREATED OUTPUT PORT 3:out 1 - unnamed for device 0
Renamed 130:3 to General MIDI Device
AlsaDriver::addDevice(0,1)
AlsaDriver::setRecordDevice: device 1, action 1
WARNING: AlsaDriver::renameDevice: Cannot find device 1 in port map
audio file manager emitting fake setValue(100)
RosegardenDocument::openDocument: Successfully opened document "/home/m.tarenskeen/.local/share/rosegarden/autoload/autoload.rg"
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::AudioRouteMenu::slotInstrumentGone()
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::AudioRouteMenu::slotInstrumentGone()
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::InstrumentAliasButton::slotInstrumentGone()
Object::connect: No such slot Rosegarden::AudioInstrumentParameterPanel::updateAllBoxes() in src/gui/editors/parameters/AudioInstrumentParameterPanel.cpp:81
Object::connect:  (receiver name: 'Audio Instrument Parameter Panel')
RemoteVSTClient: all cache files are up-to-date, not running scanner
LADSPAPluginFactory::discoverPlugins - done
RemoteVSTClient: all cache files are up-to-date, not running scanner
PluginFactory::instance(ladspa): creating new LADSPAPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/usr/lib/ladspa] [/usr/local/lib/ladspa] 
RemoteVSTClient: all cache files are up-to-date, not running scanner
Object::connect: No such signal Rosegarden::TrackButtons::modified() in src/gui/editors/segment/TrackEditor.cpp:259
Object::connect:  (sender name:   'TRACK_BUTTONS')
Object::connect: No such signal Rosegarden::CompositionView::editSegmentNotation(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:151
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::editSegmentPitchView(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:155
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::editSegmentMatrix(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:159
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::editSegmentAudio(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:163
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::audioSegmentAutoSplit(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:167
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::editSegmentEventList(Segment*) in src/gui/application/RosegardenMainViewWidget.cpp:171
Object::connect:  (receiver name: 'View')
Object::connect: No such signal Rosegarden::CompositionView::contentsMoving (int, int) in src/gui/editors/segment/compositionview/SegmentMover.cpp:58
Object::disconnect: No such signal Rosegarden::CompositionView::contentsMoving (int, int) in src/gui/editors/segment/compositionview/SegmentMover.cpp:65
Object::connect: No such signal Rosegarden::CompositionView::contentsMoving (int, int) in src/gui/editors/segment/compositionview/SegmentPencil.cpp:60
AlsaDriver::setPlausibleConnection: connection like "" requested for device 0
AlsaDriver::setPlausibleConnection: nothing suitable available
AlsaDriver::setPlausibleConnection: connection like "" requested for device 1
AlsaDriver::setPlausibleConnection: nothing suitable available
Studio::getMetronomeFromDevice: Having a look at device 1000
Studio::getMetronomeFromDevice: Having a look at device 10000
Studio::getMetronomeFromDevice: Having a look at device 0
Studio::getMetronomeFromDevice(0): device is a MIDI device
LADSPAPluginFactory::discoverPlugins - done
rosegarden: could not connect to socket
rosegarden: No such file or directory
RemoteVSTClient: all cache files are up-to-date, not running scanner
GLib (gthread-posix.c): Unexpected error from C library during 'pthread_setspecific': Invalid argument.  Aborting.

-- 

MT
Comment 6 Lassi Ylikojola 2012-07-21 10:18:41 EDT
I'm getting following on terminal and Qjackctl messages. 

rosegarden
Setting graphics system for Qt 4.5+ to: native
Thorn - true
System Locale: en_US
Qt translations path: /usr/share/qt4/translations
Qt translations not loaded.
RG Translation: trying to load :locale/en_US
RG Translations loaded successfully.
Loaded application icon "rg-rwb-rose3-16x16"
Loaded application icon "rg-rwb-rose3-32x32"
Loaded application icon "rg-rwb-rose3-48x48"
Loaded application icon "rg-rwb-rose3-64x64"
Loaded application icon "rg-rwb-rose3-128x128"
NOTE: Found stylesheet at ":/rosegarden.qss", applying it
AlsaDriver::AlsaDriver [begin]
PluginFactory::instance(Rosegarden 12.04 - AlsaDriver [ALSA library version 1.0.25, module version 1.0.25, kernel version 3.4.5-2.fc17.x86_64]
dssi): creating new DSSIPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/lykki2/.dssi] [/usr/local/lib64/dssi] [/usr/lib64/dssi] [/usr/local/lib/dssi] [/usr/lib/dssi] 

JackDriver::initialiseAudio - JACK sample rate = 48000Hz, buffer size = 128
JackDriver::initialiseAudio - creating disk thread
JackDriver::initialiseAudio - found 10 JACK physical outputs
JackDriver::initialiseAudio - connecting from "rosegarden:master out L" to "system:playback_1"
JackDriver::initialiseAudio - connecting from "rosegarden:master out R" to "system:playback_2"
JackDriver::initialiseAudio - found 12 JACK physical inputs
JackDriver::initialiseAudio - connecting from "system:capture_1" to "rosegarden:record in 1 L"
JackDriver::initialiseAudio - connecting from "system:capture_2" to "rosegarden:record in 1 R"
JackDriver::initialiseAudio - initialised JACK audio subsystem

  ALSA Client information:

    14,0 - (Midi Through, Midi Through Port-0)			(DUPLEX) [ctype 2, ptype 655362, cap 99]
    20,0 - (TerraTec DMX6Fire, MIDI-Front DMX6fire 1)			(DUPLEX) [ctype 2, ptype 589826, cap 127]
    20,32 - (TerraTec DMX6Fire, Wavetable DMX6fire 1)		(WRITE ONLY) [ctype 2, ptype 589826, cap 74]

AlsaDriver::setCurrentTimer((auto))
    Current timer set to "system timer" with timer checks
AlsaDriver::initialiseMidi -  initialised MIDI subsystem

Composition::getTrackById(0) - WARNING - track id not found, this is probably a BUG src/base/Composition.cpp:1618
Available track ids are: 
AlsaDriver::addDevice(0,0)
CREATED OUTPUT PORT 3:out 1 - unnamed for device 0
Renamed 129:3 to General MIDI Device
AlsaDriver::addDevice(0,1)
AlsaDriver::setRecordDevice: device 1, action 1
WARNING: AlsaDriver::renameDevice: Cannot find device 1 in port map
audio file manager emitting fake setValue(100)
RosegardenDocument::openDocument: Successfully opened document "/home/lykki2/.local/share/rosegarden/autoload/autoload.rg"
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::AudioRouteMenu::slotInstrumentGone()
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::AudioRouteMenu::slotInstrumentGone()
QObject::connect: Cannot connect (null)::destroyed() to Rosegarden::InstrumentAliasButton::slotInstrumentGone()
Object::connect: No such slot Rosegarden::AudioInstrumentParameterPanel::updateAllBoxes() in src/gui/editors/parameters/AudioInstrumentParameterPanel.cpp:81
Object::connect:  (receiver name: 'Audio Instrument Parameter Panel')
LADSPAPluginFactory::discoverPlugins - done
PluginFactory::instance(ladspa): creating new LADSPAPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/lykki2/.ladspa] [/usr/local/lib64/ladspa] [/usr/lib64/ladspa] [/usr/local/lib/ladspa] [/usr/lib/ladspa] 
LADSPAPluginFactory::discoverPlugins - done
GLib (gthread-posix.c): Unexpected error from C library during 'pthread_setspecific': Invalid argument.  Aborting.
Aborted (core dumped)



QJackctl outputs following on messages:
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
17:14:10.842 XRUN callback (6).
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error

...

JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
17:14:11.319 ALSA connection graph change.
17:14:11.323 JACK connection change.
17:14:11.325 ALSA connection change.
17:14:11.328 XRUN callback (90 skipped).
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
Cannot write socket fd = 15 err = Connection reset by peer
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
Cannot write socket fd = 15 err = Broken pipe
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
17:14:11.386 ALSA connection graph change.
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not run: state = 1
JackAudioDriver::ProcessGraphAsyncMaster: Process error

Lassi Ylikojola
Comment 7 Brendan Jones 2012-07-21 11:17:02 EDT
I can not repeat this here

Possibly it is related to a bad plugin - this is upstreams tracker here:

http://sourceforge.net/mailarchive/message.php?msg_id=29344876
Comment 8 Martin Tarenskeen 2012-07-21 14:01:55 EDT
(In reply to comment #7)
> I can not repeat this here
> 
> Possibly it is related to a bad plugin - this is upstreams tracker here:
> 
> http://sourceforge.net/mailarchive/message.php?msg_id=29344876

I think it is related to a (bad?) LADSPA plugin.

When I rename/disable my DSSI directory, the crash still happens.
When I rename/disable my LADSPA directory, rosegarden does NOT crash anymore!

I will try to enable/disable all my LADSPA *.so files. Maybe I can find which one makes rosegarden crash.
Comment 9 Lassi Ylikojola 2012-07-22 10:06:09 EDT
When removing ladspa-guitarix-plugins rosegarden starts normally.

ladspa-guitarix-plugins 0.22.3-1.fc17:
/usr/lib64/ladspa/guitarix.so
/usr/lib64/ladspa/guitarix_IR.so
/usr/lib64/ladspa/guitarix_amp.so
/usr/lib64/ladspa/guitarix_compressor.so
/usr/lib64/ladspa/guitarix_crybaby.so
/usr/lib64/ladspa/guitarix_distortion.so
/usr/lib64/ladspa/guitarix_echo.so
/usr/lib64/ladspa/guitarix_freeverb.so
/usr/lib64/ladspa/ladspa_guitarix.so
/usr/share/ladspa/rdf/guitarix.rdf
/usr/share/ladspa/rdf/guitarix_amp.rdf
Comment 10 Lassi Ylikojola 2012-07-22 10:25:30 EDT
Removing ladspa_guitarix.so from /usr/lib64/ladspa folder fixes this crash.
Comment 11 Lassi Ylikojola 2012-07-22 11:36:27 EDT
Build from source
git clone http://git.code.sf.net/p/guitarix/git guitarix and copied all .so files to /usr/lib64/ladspa and no crash on startup.

This might be related:
http://sourceforge.net/mailarchive/forum.php?thread_name=From_noreply%40sourceforge.net_Thu_May_17_18%3A19%3A05_2012&forum_name=rosegarden-bugs


So it seems like ladspa-guitarix-plugins needs a code update.
Comment 12 Brendan Jones 2012-07-22 13:49:36 EDT
A guitarix update was released into updates testing in the last week or so.

Does it fix your issue? 

http://koji.fedoraproject.org/koji/buildinfo?buildID=330612
Comment 13 Lassi Ylikojola 2012-07-23 11:30:42 EDT
Copying this here also..

Yes it does fix the crash on startup. I installed ladspa-guitarix-plugins(0.23.2-2.fc17) and guitarix(0.23.2-2.fc17) from updates-testing and Rosegarden crashes no more.


Using 'guitarix Stereo Fx'  in audio track still crashes Rosegarden but it  crashes hydrogen also. This is true to both updates-testing and compiling from git.

Tested all others(minus crybaby which i could not find) using a single audio track and those seem not to crash rosegarden.
Comment 14 Aerin Lenrith 2012-07-24 16:31:10 EDT
I have recently installed Rosegarden, along with several other multimedia tools. This error occured on startup of Rosegarden.

backtrace_rating: 4
Package: rosegarden4-12.04-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Orcan Ogetbil 2012-07-28 00:59:24 EDT
There is a new guitarix release out there. The release note claims to fix some crash during host loads.
http://lists.linuxaudio.org/pipermail/linux-audio-user/2012-July/086085.html
Comment 16 Brendan Jones 2012-07-28 01:17:44 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4338008

will be released to updates testing soon
Comment 17 Fedora End Of Life 2013-07-03 16:58:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-07-31 17:38:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.